identity:
  name: tavily_search
  author: Yash Parmar
  label:
    en_US: TavilySearch
    zh_Hans: TavilySearch
    pt_BR: TavilySearch
description:
  human:
    en_US: A tool for  search engine built specifically for AI agents (LLMs), delivering real-time, accurate, and factual results at speed.
    zh_Hans: 专为人工智能代理 (LLM) 构建的搜索引擎工具，可快速提供实时、准确和真实的结果。
    pt_BR: A tool for search engine built specifically for AI agents (LLMs), delivering real-time, accurate, and factual results at speed.
  llm: A tool for search engine built specifically for AI agents (LLMs), delivering real-time, accurate, and factual results at speed.
parameters:
  - name: query
    type: string
    required: true
    label:
      en_US: Query string
      zh_Hans: 查询语句
      pt_BR: Query string
    human_description:
      en_US: used for searching
      zh_Hans: 用于搜索网页内容
      pt_BR: used for searching
    llm_description: key words for searching
    form: llm
  - name: search_depth
    type: select
    required: false
    label:
      en_US: Search Depth
      zh_Hans: 搜索深度
      pt_BR: Search Depth
    human_description:
      en_US: The depth of search results
      zh_Hans: 搜索结果的深度
      pt_BR: The depth of search results
    form: form
    options:
      - value: basic
        label:
          en_US: Basic
          zh_Hans: 基本
          pt_BR: Basic
      - value: advanced
        label:
          en_US: Advanced
          zh_Hans: 高级
          pt_BR: Advanced
    default: basic
  - name: include_images
    type: boolean
    required: false
    label:
      en_US: Include Images
      zh_Hans: 包含图片
      pt_BR: Include Images
    human_description:
      en_US: Include images in the search results
      zh_Hans: 在搜索结果中包含图片
      pt_BR: Include images in the search results
    form: form
    options:
      - value: 'true'
        label:
          en_US: 'Yes'
          zh_Hans: 是
          pt_BR: 'Yes'
      - value: 'false'
        label:
          en_US: 'No'
          zh_Hans: 否
          pt_BR: 'No'
    default: 'false'
  - name: include_answer
    type: boolean
    required: false
    label:
      en_US: Include Answer
      zh_Hans: 包含答案
      pt_BR: Include Answer
    human_description:
      en_US: Include answers in the search results
      zh_Hans: 在搜索结果中包含答案
      pt_BR: Include answers in the search results
    form: form
    options:
      - value: 'true'
        label:
          en_US: 'Yes'
          zh_Hans: 是
          pt_BR: 'Yes'
      - value: 'false'
        label:
          en_US: 'No'
          zh_Hans: 否
          pt_BR: 'No'
    default: 'false'
  - name: include_raw_content
    type: boolean
    required: false
    label:
      en_US: Include Raw Content
      zh_Hans: 包含原始内容
      pt_BR: Include Raw Content
    human_description:
      en_US: Include raw content in the search results
      zh_Hans: 在搜索结果中包含原始内容
      pt_BR: Include raw content in the search results
    form: form
    options:
      - value: 'true'
        label:
          en_US: 'Yes'
          zh_Hans: 是
          pt_BR: 'Yes'
      - value: 'false'
        label:
          en_US: 'No'
          zh_Hans: 否
          pt_BR: 'No'
    default: 'false'
  - name: max_results
    type: number
    required: false
    label:
      en_US: Max Results
      zh_Hans: 最大结果
      pt_BR: Max Results
    human_description:
      en_US: The number of maximum search results to return
      zh_Hans: 返回的最大搜索结果数
      pt_BR: The number of maximum search results to return
    form: form
    min: 1
    max: 20
    default: 5
  - name: include_domains
    type: string
    required: false
    label:
      en_US: Include Domains
      zh_Hans: 包含域
      pt_BR: Include Domains
    human_description:
      en_US: A list of domains to specifically include in the search results
      zh_Hans: 在搜索结果中特别包含的域名列表
      pt_BR: A list of domains to specifically include in the search results
    form: form
  - name: exclude_domains
    type: string
    required: false
    label:
      en_US: Exclude Domains
      zh_Hans: 排除域
      pt_BR: Exclude Domains
    human_description:
      en_US: A list of domains to specifically exclude from the search results
      zh_Hans: 从搜索结果中特别排除的域名列表
      pt_BR: A list of domains to specifically exclude from the search results
    form: form
